#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library
from decimal import Decimal

# import interfaces
from pyams_file.interfaces import IVideo, IThumbnail, IAudio
from pyams_form.interfaces.form import IWidgetsPrefixViewletsManager, IFormHelp
from pyams_skin.interfaces.viewlet import IContextActions
from pyams_utils.interfaces import MANAGE_PERMISSION, VIEW_PERMISSION
from pyams_zmi.layer import IAdminLayer
from z3c.form.interfaces import HIDDEN_MODE

# import packages
from pyams_form.form import AJAXAddForm
from pyams_form.help import FormHelp
from pyams_form.schema import CloseButton
from pyams_pagelet.pagelet import pagelet_config
from pyams_skin.layer import IPyAMSLayer
from pyams_skin.viewlet.toolbar import ToolbarActionItem
from pyams_template.template import template_config
from pyams_utils.adapter import adapter_config
from pyams_utils.schema import DottedDecimalField
from pyams_viewlet.viewlet import viewlet_config, Viewlet
from pyams_zmi.form import AdminDialogAddForm, AdminDialogDisplayForm
from pyramid.view import view_config
from z3c.form import field, button
from zope.interface import Interface

from pyams_media import _


#
# Video preview
#

@pagelet_config(name='preview.html', context=IAudio, layer=IPyAMSLayer, permission=VIEW_PERMISSION)
class AudioPreview(AdminDialogDisplayForm):
    """Audio preview"""

    label = _("Audio preview")
    label_css_class = 'fa fa-fw fa-music'

    fields = field.Fields(Interface)


@viewlet_config(name='audio-preview-prefix', context=IAudio, layer=IAdminLayer, view=AudioPreview,
                manager=IWidgetsPrefixViewletsManager)
@template_config(template='templates/audio-preview.pt')
class AudioPreviewViewletsPrefix(Viewlet):
    """Audio preview viewlets prefix"""
